<template>
  <div class="col s12 m6 l4">
    <div class="card light-blue bill-card">
      <div class="card-content white-text">
        <span class="card-title">{{ 'Bill' | localization }}</span>

        <p class="currency-line" v-for="currency in currenciesKeys" :key="currency">
          <span>
            {{ calculateBill(currency) | currency(currency) }}
          </span>
        </p>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: "Bill",
    props: ['rates'],
    computed: {
      bill() {
        return this.$store.getters.getUserInfo.bill || 0;
      },
      currenciesKeys() {
        return Object.keys(this.rates);
      }
    },
    methods: {
      calculateBill(currency) {
        return Math.floor(this.bill / this.rates[currency]);
      }
    }
  }
</script>

<style scoped>

</style>